package org.bdware.mockjava.generator;

import com.google.gson.JsonElement;
import com.google.gson.JsonPrimitive;
import org.bdware.mockjava.ValueGenerator;

import java.security.SecureRandom;
import java.util.Random;

@Generator(tag = "@integer")
public class IntegerGenerator extends ValueGenerator {
    public IntegerGenerator(){}
     static Random secureRandom = new SecureRandom();
    @Override
    public JsonElement generate(JsonElement previous) {
        // TODO parse value here
        return new JsonPrimitive(secureRandom.nextInt());
    }
}
